Index: cpukit/sapi/inline/rtems/rbtree.inl
===================================================================
--- cpukit/sapi/inline/rtems/rbtree.inl	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/inline/rtems/rbtree.inl	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,17 +1,19 @@
 /**
- * @file rtems/rbtree.inl
- *
- *  This include file contains all the constants and structures associated
- *  with the RBTree API in RTEMS. The rbtree is a Red Black Tree that
- *  is part of the Super Core. This is the published interface to that
- *  code.
+ * @file
+ * 
+ * @brief Constants and Structures Associated with the RBTree API in RTEMS
+ *
+ * This include file contains all the constants and structures associated
+ * with the RBTree API in RTEMS. The rbtree is a Red Black Tree that
+ * is part of the Super Core. This is the published interface to that
+ * code.
  */
  
 /*
- *  Copyright (c) 2010-2012 Gedare Bloom.
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.com/license/LICENSE.
+ * Copyright (c) 2010-2012 Gedare Bloom.
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.com/license/LICENSE.
  */
 
@@ -26,9 +28,9 @@
 
 /**
- *  @brief Initialize a RBTree Header
- *
- *  This routine initializes @a the_rbtree structure to manage the
- *  contiguous array of @a number_nodes nodes which starts at
- *  @a starting_address.  Each node is of @a node_size bytes.
+ * @brief Initialize a RBTree header.
+ *
+ * This routine initializes @a the_rbtree structure to manage the
+ * contiguous array of @a number_nodes nodes which starts at
+ * @a starting_address.  Each node is of @a node_size bytes.
  */
 RTEMS_INLINE_ROUTINE void rtems_rbtree_initialize(
@@ -46,7 +48,7 @@
 
 /**
- *  @brief Initialize this RBTree as Empty
- *
- *  This routine initializes @a the_rbtree to contain zero nodes.
+ * @brief Initialize this RBTree as Empty
+ *
+ * This routine initializes @a the_rbtree to contain zero nodes.
  */
 RTEMS_INLINE_ROUTINE void rtems_rbtree_initialize_empty(
@@ -60,8 +62,8 @@
 
 /**
- *  @brief Set off rbtree
- *
- *  This function sets the next and previous fields of the @a node to NULL
- *  indicating the @a node is not part of any rbtree.
+ * @brief Set off RBtree.
+ *
+ * This function sets the next and previous fields of the @a node to NULL
+ * indicating the @a node is not part of any rbtree.
  */
 RTEMS_INLINE_ROUTINE void rtems_rbtree_set_off_rbtree(
@@ -73,8 +75,8 @@
 
 /**
- *  @brief Is the Node off RBTree
- *
- *  This function returns true if the @a node is not on a rbtree. A @a node is
- *  off rbtree if the next and previous fields are set to NULL.
+ * @brief Is the Node off RBTree.
+ *
+ * This function returns true if the @a node is not on a rbtree. A @a node is
+ * off rbtree if the next and previous fields are set to NULL.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_is_node_off_rbtree(
@@ -86,7 +88,7 @@
 
 /**
- *  @brief Is the RBTree Node Pointer NULL
- *
- *  This function returns true if @a the_node is NULL and false otherwise.
+ * @brief Is the RBTree Node Pointer NULL.
+ *
+ * This function returns true if @a the_node is NULL and false otherwise.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_is_null_node(
@@ -98,7 +100,7 @@
 
 /**
- *  @brief Return pointer to RBTree Root
- *
- *  This function returns a pointer to the root node of @a the_rbtree.
+ * @brief Return pointer to RBTree root.
+ *
+ * This function returns a pointer to the root node of @a the_rbtree.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_root(
@@ -110,7 +112,7 @@
 
 /**
- *  @brief Return pointer to RBTree Minimum
- *
- *  This function returns a pointer to the minimum node of @a the_rbtree.
+ * @brief Return pointer to RBTree Minimum
+ *
+ * This function returns a pointer to the minimum node of @a the_rbtree.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_min(
@@ -122,7 +124,7 @@
 
 /**
- *  @brief Return pointer to RBTree Maximum
- *
- *  This function returns a pointer to the maximum node of @a the_rbtree.
+ * @brief Return pointer to RBTree maximum.
+ *
+ * This function returns a pointer to the maximum node of @a the_rbtree.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_max(
@@ -134,7 +136,7 @@
 
 /**
- *  @brief Return pointer to the left child node from this node
- *
- *  This function returns a pointer to the left child node of @a the_node.
+ * @brief Return pointer to the left child node from this node.
+ *
+ * This function returns a pointer to the left child node of @a the_node.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_left(
@@ -146,7 +148,7 @@
 
 /**
- *  @brief Return pointer to the right child node from this node
- *
- *  This function returns a pointer to the right child node of @a the_node.
+ * @brief Return pointer to the right child node from this node.
+ *
+ * This function returns a pointer to the right child node of @a the_node.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_right(
@@ -158,7 +160,7 @@
 
 /**
- *  @brief Return pointer to the parent child node from this node
- *
- *  This function returns a pointer to the parent node of @a the_node.
+ * @brief Return pointer to the parent child node from this node.
+ *
+ * This function returns a pointer to the parent node of @a the_node.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_parent(
@@ -170,8 +172,8 @@
 
 /**
- *  @brief Are Two Nodes Equal
- *
- *  This function returns true if @a left and @a right are equal,
- *  and false otherwise.
+ * @brief Are two nodes equal.
+ *
+ * This function returns true if @a left and @a right are equal,
+ * and false otherwise.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_are_nodes_equal(
@@ -184,8 +186,8 @@
 
 /**
- *  @brief Is the RBTree Empty
- *
- *  This function returns true if there a no nodes on @a the_rbtree and
- *  false otherwise.
+ * @brief Is the RBTree empty.
+ *
+ * This function returns true if there a no nodes on @a the_rbtree and
+ * false otherwise.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_is_empty(
@@ -197,8 +199,8 @@
 
 /**
- *  @brief Is this the Minimum Node on the RBTree
- *
- *  This function returns true if @a the_node is the min node on @a the_rbtree 
- *  and false otherwise.
+ * @brief Is this the minimum node on the RBTree.
+ *
+ * This function returns true if @a the_node is the min node on @a the_rbtree 
+ * and false otherwise.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_is_min(
@@ -211,8 +213,8 @@
 
 /**
- *  @brief Is this the Maximum Node on the RBTree
- *
- *  This function returns true if @a the_node is the max node on @a the_rbtree 
- *  and false otherwise.
+ * @brief Is this the maximum node on the RBTree.
+ *
+ * This function returns true if @a the_node is the max node on @a the_rbtree 
+ * and false otherwise.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_is_max(
@@ -226,8 +228,8 @@
 
 /**
- *  @brief Does this RBTree have only One Node
- *
- *  This function returns true if there is only one node on @a the_rbtree and
- *  false otherwise.
+ * @brief Does this RBTree have only one node.
+ *
+ * This function returns true if there is only one node on @a the_rbtree and
+ * false otherwise.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_has_only_one_node(
@@ -239,8 +241,8 @@
 
 /**
- *  @brief Is this Node the RBTree Root
- *
- *  This function returns true if @a the_node is the root of @a the_rbtree and
- *  false otherwise.
+ * @brief Is this node the RBTree root.
+ *
+ * This function returns true if @a the_node is the root of @a the_rbtree and
+ * false otherwise.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_is_root(
@@ -263,12 +265,12 @@
 }
 
-/** @brief Find the node with given key in the tree
- *
- *  This function returns a pointer to the node having key equal to the key
- *  of @a the_node if it exists within @a the_rbtree, and NULL if not.
- *  @a the_node has to be made up before a search.
- *
- *  @note If the tree is not unique and contains duplicate keys, the set
- *        of duplicate keys acts as FIFO.
+/** @brief Find the node with given key in the tree.
+ *
+ * This function returns a pointer to the node having key equal to the key
+ * of @a the_node if it exists within @a the_rbtree, and NULL if not.
+ * @a the_node has to be made up before a search.
+ *
+ * @note If the tree is not unique and contains duplicate keys, the set
+ *       of duplicate keys acts as FIFO.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node* rtems_rbtree_find(
@@ -332,8 +334,8 @@
 
 /**
- *  @brief Extract the specified node from a rbtree
- *
- *  This routine extracts @a the_node from @a the_rbtree on which it resides.
- *  It disables interrupts to ensure the atomicity of the extract operation.
+ * @brief Extract the specified node from a rbtree.
+ *
+ * This routine extracts @a the_node from @a the_rbtree on which it resides.
+ * It disables interrupts to ensure the atomicity of the extract operation.
  */
 RTEMS_INLINE_ROUTINE void rtems_rbtree_extract(
@@ -346,8 +348,8 @@
 
 /**
- *  @brief Obtain the min node on a rbtree
- *
- *  This function removes the min node from @a the_rbtree and returns
- *  a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
+ * @brief Obtain the min node on a rbtree.
+ *
+ * This function removes the min node from @a the_rbtree and returns
+ * a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
  */
 
@@ -360,9 +362,9 @@
 
 /**
- *  @brief Obtain the min node on a rbtree
- *
- *  This function removes the min node from @a the_rbtree and returns
- *  a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
- *  It disables interrupts to ensure the atomicity of the get operation.
+ * @brief Obtain the min node on a rbtree.
+ *
+ * This function removes the min node from @a the_rbtree and returns
+ * a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
+ * It disables interrupts to ensure the atomicity of the get operation.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_get_min(
@@ -374,8 +376,8 @@
 
 /**
- *  @brief Obtain the max node on a rbtree
- *
- *  This function removes the max node from @a the_rbtree and returns
- *  a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
+ * @brief Obtain the max node on a rbtree.
+ *
+ * This function removes the max node from @a the_rbtree and returns
+ * a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
  */
 
@@ -388,9 +390,9 @@
 
 /**
- *  @brief Obtain the max node on a rbtree
- *
- *  This function removes the max node from @a the_rbtree and returns
- *  a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
- *  It disables interrupts to ensure the atomicity of the get operation.
+ * @brief Obtain the max node on a rbtree.
+ *
+ * This function removes the max node from @a the_rbtree and returns
+ * a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
+ * It disables interrupts to ensure the atomicity of the get operation.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_get_max(
@@ -402,9 +404,9 @@
 
 /**
- *  @brief Peek at the min node on a rbtree
- *
- *  This function returns a pointer to the min node from @a the_rbtree 
- *  without changing the tree.  If @a the_rbtree is empty, 
- *  then NULL is returned.
+ * @brief Peek at the min node on a rbtree.
+ *
+ * This function returns a pointer to the min node from @a the_rbtree 
+ * without changing the tree.  If @a the_rbtree is empty, 
+ * then NULL is returned.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_peek_min(
@@ -416,9 +418,9 @@
 
 /**
- *  @brief Peek at the max node on a rbtree
- *
- *  This function returns a pointer to the max node from @a the_rbtree 
- *  without changing the tree.  If @a the_rbtree is empty, 
- *  then NULL is returned.
+ * @brief Peek at the max node on a rbtree.
+ *
+ * This function returns a pointer to the max node from @a the_rbtree 
+ * without changing the tree.  If @a the_rbtree is empty, 
+ * then NULL is returned.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_peek_max(
@@ -440,9 +442,9 @@
 
 /**
- *  @brief Find the control header of the tree containing a given node.
- *
- *  This routine finds the rtems_rbtree_control structure of the tree 
- *  containing @a the_node.
- *  It disables interrupts to ensure the atomicity of the find operation.
+ * @brief Find the control header of the tree containing a given node.
+ *
+ * This routine finds the rtems_rbtree_control structure of the tree 
+ * containing @a the_node.
+ * It disables interrupts to ensure the atomicity of the find operation.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_control *rtems_rbtree_find_header(
@@ -465,13 +467,13 @@
 
 /**
- *  @brief Insert a node on a rbtree
- *
- *  This routine inserts @a the_node on @a the_rbtree.
- *  It disables interrupts to ensure the atomicity of the insert operation.
- *
- *  @retval 0 Successfully inserted.
- *  @retval -1 NULL @a the_node.
- *  @retval RBTree_Node* if one with equal key to the key of @a the_node exists
- *          in an unique @a the_rbtree.
+ * @brief Insert a node on a rbtree.
+ *
+ * This routine inserts @a the_node on @a the_rbtree.
+ * It disables interrupts to ensure the atomicity of the insert operation.
+ *
+ * @retval 0 Successfully inserted.
+ * @retval -1 NULL @a the_node.
+ * @retval RBTree_Node* if one with equal key to the key of @a the_node exists
+ *         in an unique @a the_rbtree.
  */
 RTEMS_INLINE_ROUTINE rtems_rbtree_node *rtems_rbtree_insert(
@@ -483,5 +485,6 @@
 }
 
-/** @brief Determines whether the tree is unique
+/** 
+ * @brief Determines whether the tree is unique.
  */
 RTEMS_INLINE_ROUTINE bool rtems_rbtree_is_unique(
Index: cpukit/sapi/inline/rtems/timespec.inl
===================================================================
--- cpukit/sapi/inline/rtems/timespec.inl	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/inline/rtems/timespec.inl	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,8 +1,6 @@
 /**
- * @file rtems/sapi/timespec.inl
- *
- * @ingroup 
- *
- * @brief Timespec API.
+ * @file
+ *
+ * @brief Timespec API
  */
  
@@ -32,12 +30,12 @@
 
 /**
- * @brief Is Timespec Valid
- *
- *  This method determines the validity of a timespec.
- *
- *  @param[in] time is the timespec instance to validate.
- *
- *  @return This method returns true if @a time is valid and
- *          false otherwise.
+ * @brief Is timespec valid
+ *
+ * This method determines the validity of a timespec.
+ *
+ * @param[in] time is the timespec instance to validate.
+ *
+ * @retval true The timespec is valid.
+ * @retval false The timespec is not valid.
  */
 RTEMS_INLINE_ROUTINE bool rtems_timespec_is_valid(
@@ -49,13 +47,14 @@
 
 /**
- * @brief Timespec Less Than Operator
- *
- *  This method is the less than operator for timespecs.
- *
- *  @param[in] lhs is the left hand side timespec
- *  @param[in] rhs is the right hand side timespec
- *
- *  @return This method returns true if @a lhs is less than the @a rhs and
- *          false otherwise.
+ * @brief Timespec less than operator.
+ *
+ * This method is the less than operator for timespecs.
+ *
+ * @param[in] lhs is the left hand side timespec
+ * @param[in] rhs is the right hand side timespec
+ *
+ * @retval true @a lhs is less than @a rhr.
+ * @retval false @a lhs is not less than @a rhr.
+ * 
  */
 RTEMS_INLINE_ROUTINE bool rtems_timespec_less_than(
@@ -68,13 +67,13 @@
 
 /**
- * @brief Add to a Timespec
- *
- *  This routine adds two timespecs.  The second argument is added
- *  to the first.
- *
- *  @param[in] time is the base time to be added to
- *  @param[in] add is the timespec to add to the first argument
- *
- *  @return This method returns the number of seconds @a time increased by.
+ * @brief Add to a timespec.
+ *
+ * This routine adds two timespecs.  The second argument is added
+ * to the first.
+ *
+ * @param[in] time is the base time to be added to
+ * @param[in] add is the timespec to add to the first argument
+ *
+ * @return This method returns the number of seconds @a time increased by.
  */
 RTEMS_INLINE_ROUTINE uint32_t rtems_timespec_add_to(
@@ -87,12 +86,12 @@
 
 /**
- * @brief Convert Timespec to Number of Ticks
- *
- *  This routine convert the @a time timespec to the corresponding number
- *  of clock ticks.
- *
- *  @param[in] time is the time to be converted
- *
- *  @return This method returns the number of ticks computed.
+ * @brief Convert timespec to number of ticks.
+ *
+ * This routine convert the @a time timespec to the corresponding number
+ * of clock ticks.
+ *
+ * @param[in] time is the time to be converted
+ *
+ * @return This method returns the number of ticks computed.
  */
 RTEMS_INLINE_ROUTINE uint32_t rtems_timespec_to_ticks(
@@ -104,11 +103,11 @@
 
 /**
- * @brief Convert Ticks to Timespec
- *
- *  This routine converts the @a ticks value to the corresponding
- *  timespec format @a time.
- *
- *  @param[in] time is the timespec format time result
- *  @param[in] ticks is the number of ticks to convert
+ * @brief Convert ticks to timespec.
+ *
+ * This routine converts the @a ticks value to the corresponding
+ * timespec format @a time.
+ *
+ * @param[in] time is the timespec format time result
+ * @param[in] ticks is the number of ticks to convert
  */
 
@@ -122,14 +121,14 @@
 
 /**
- * @brief Subtract Two Timespec
- *
- *  This routine subtracts two timespecs.  @a result is set to
- *  @a end - @a start.
- *
- *  @param[in] start is the starting time
- *  @param[in] end is the ending time
- *  @param[in] result is the difference between starting and ending time.
- *
- *  @return This method fills in @a result.
+ * @brief Subtract two timespec.
+ *
+ * This routine subtracts two timespecs.  @a result is set to
+ * @a end - @a start.
+ *
+ * @param[in] start is the starting time
+ * @param[in] end is the ending time
+ * @param[in] result is the difference between starting and ending time.
+ *
+ * @return This method fills in @a result.
  */
 RTEMS_INLINE_ROUTINE void rtems_timespec_subtract(
@@ -143,15 +142,15 @@
 
 /**
- * @brief Divide Timespec By Integer
- *
- *  This routine divides a timespec by an integer value.  The expected
- *  use is to assist in benchmark calculations where you typically
- *  divide a duration by a number of iterations.
- *
- *  @param[in] time is the total
- *  @param[in] iterations is the number of iterations
- *  @param[in] result is the average time.
- *
- *  @return This method fills in @a result.
+ * @brief Divide timespec by integer.
+ *
+ * This routine divides a timespec by an integer value.  The expected
+ * use is to assist in benchmark calculations where you typically
+ * divide a duration by a number of iterations.
+ *
+ * @param[in] time is the total
+ * @param[in] iterations is the number of iterations
+ * @param[in] result is the average time.
+ *
+ * @return This method fills in @a result.
  */
 RTEMS_INLINE_ROUTINE void rtems_timespec_divide_by_integer(
@@ -165,15 +164,15 @@
 
 /**
- * @brief Divide Timespec
- *
- *  This routine divides a timespec by another timespec.  The
- *  intended use is for calculating percentages to three decimal points.
- *
- *  @param[in] lhs is the left hand number
- *  @param[in] rhs is the right hand number
- *  @param[in] ival_percentage is the integer portion of the average
- *  @param[in] fval_percentage is the thousandths of percentage
- *
- *  @return This method fills in @a result.
+ * @brief Divide timespec.
+ *
+ * This routine divides a timespec by another timespec.  The
+ * intended use is for calculating percentages to three decimal points.
+ *
+ * @param[in] lhs is the left hand number
+ * @param[in] rhs is the right hand number
+ * @param[in] ival_percentage is the integer portion of the average
+ * @param[in] fval_percentage is the thousandths of percentage
+ *
+ * @return This method fills in @a result.
  */
 RTEMS_INLINE_ROUTINE void rtems_timespec_divide(
@@ -188,12 +187,12 @@
 
 /**
- * @brief Set Timespec to Seconds Nanosecond
- *
- *  This method sets the timespec to the specified seconds and nanoseconds
- *  value.
- *
- *  @param[in] _time points to the timespec instance to validate.
- *  @param[in] _seconds is the seconds portion of the timespec
- *  @param[in] _nanoseconds is the nanoseconds portion of the timespec
+ * @brief Set timespec to seconds nanosecond.
+ *
+ * This method sets the timespec to the specified seconds and nanoseconds
+ * value.
+ *
+ * @param[in] _time points to the timespec instance to validate.
+ * @param[in] _seconds is the seconds portion of the timespec
+ * @param[in] _nanoseconds is the nanoseconds portion of the timespec
  */
 RTEMS_INLINE_ROUTINE void rtems_timespec_set(
@@ -207,10 +206,10 @@
 
 /**
- * @brief Zero Timespec
- *
- *  This method sets the timespec to zero.
- *  value.
- *
- *  @param[in] _time points to the timespec instance to zero.
+ * @brief Zero timespec.
+ *
+ * This method sets the timespec to zero.
+ * value.
+ *
+ * @param[in] _time points to the timespec instance to zero.
  */
 RTEMS_INLINE_ROUTINE void rtems_timespec_zero( 
@@ -222,11 +221,11 @@
 
 /**
- * @brief Get Seconds Portion of Timespec
- *
- *  This method returns the seconds portion of the specified timespec
- *
- *  @param[in] _time points to the timespec
- *
- *  @return The seconds portion of @a _time.
+ * @brief Get seconds portion of timespec.
+ *
+ * This method returns the seconds portion of the specified timespec
+ *
+ * @param[in] _time points to the timespec
+ *
+ * @return The seconds portion of @a _time.
  */
 RTEMS_INLINE_ROUTINE time_t rtems_timespec_get_seconds(
@@ -238,11 +237,11 @@
 
 /**
- * @brief Get Nanoseconds Portion of Timespec
- *
- *  This method returns the nanoseconds portion of the specified timespec
- *
- *  @param[in] _time points to the timespec
- *
- *  @return The nanoseconds portion of @a _time.
+ * @brief Get nanoseconds portion of timespec.
+ *
+ * This method returns the nanoseconds portion of the specified timespec
+ *
+ * @param[in] _time points to the timespec
+ *
+ * @return The nanoseconds portion of @a _time.
  */
 RTEMS_INLINE_ROUTINE uint32_t rtems_timespec_get_nanoseconds(
@@ -255,13 +254,13 @@
 
 /**
- * @brief Timespec Greater Than Operator
- *
- *  This method is the greater than operator for timespecs.
- *
- *  @param[in] lhs is the left hand side timespec
- *  @param[in] rhs is the right hand side timespec
- *
- *  @return This method returns true if @a lhs is greater than the @a rhs and
- *          false otherwise.
+ * @brief Timespec greater than operator.
+ *
+ * This method is the greater than operator for timespecs.
+ *
+ * @param[in] lhs is the left hand side timespec
+ * @param[in] rhs is the right hand side timespec
+ *
+ * @retval true @a lhs is greater than @a rhr.
+ * @retval false @a lhs is not greater than @a rhr.
  */
 RTEMS_INLINE_ROUTINE bool rtems_timespec_greater_than(
@@ -275,11 +274,11 @@
  * @brief Timespec equal to Operator
  *
- *  This method is the is equal to than operator for timespecs.
- *
- *  @param[in] lhs is the left hand side timespec
- *  @param[in] rhs is the right hand side timespec
- *
- *  @return This method returns true if @a lhs is equal to  @a rhs and
- *          false otherwise.
+ * This method is the is equal to than operator for timespecs.
+ *
+ * @param[in] lhs is the left hand side timespec
+ * @param[in] rhs is the right hand side timespec
+ *
+ * @retval true @a lhs is equal to @a rhr.
+ * @retval false @a lhs is not equal to @a rhr.
  */
 RTEMS_INLINE_ROUTINE bool rtems_timespec_equal_to(
